Bug 6134 - rename ILS-DI:Authorized_IPs. it was wrong written
Summary: rename ILS-DI:Authorized_IPs. it was wrong written
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 08:50 UTC by Alex Arnaud
Modified: 2012-10-25 23:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
rename ILS-DI:Authorized_IPs (863 bytes, patch)
2011-04-08 08:52 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2011-04-08 08:50:04 UTC

    
Comment 1 Alex Arnaud 2011-04-08 08:52:41 UTC
Created attachment 3825 [details] [review]
rename ILS-DI:Authorized_IPs
Comment 2 Magnus Enger 2011-04-12 11:30:32 UTC
As far as I can see this syspref is written as ILS-DI:AuthorizedIPs in all of these places: 

* installer/data/mysql/en/mandatory/sysprefs.sql
* koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/web_services.pref
* opac/ilsdi.pl (line 155: my @AuthorizedIPs = split(/,/, C4::Context->preference('ILS-DI:AuthorizedIPs'));)

In fact, the only place I can find it referred to as ILS-DI:Authorized_IPs is in the manual: http://koha-community.org/documentation/3-4-manual-en/?ch=c18#webserviceprefs

So perhaps it's easier to just change the manual?
Comment 3 Chris Cormack 2011-05-13 02:17:06 UTC
I agree, changing the manual looks like the win here
Comment 4 Nicole C. Engard 2011-05-13 17:01:23 UTC
Manual updated